org.apache.ivy.osgi.p2

## Class P2ArtifactParser

- java.lang.Object
- - org.apache.ivy.osgi.p2.P2ArtifactParser

All Implemented Interfaces:
  XMLInputParser

    public class P2ArtifactParser
    extends java.lang.Object
    implements XMLInputParser

### Constructor Summary

Constructors
Constructor and Description
`P2ArtifactParser(P2Descriptor p2Descriptor, java.lang.String repoUrl)`

### Method Summary

Methods
`void` `parse(java.io.InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### P2ArtifactParser

    public P2ArtifactParser(P2Descriptor p2Descriptor,
                    java.lang.String repoUrl)

### Method Detail

#### parse

    public void parse(java.io.InputStream in)
               throws java.text.ParseException,
                      java.io.IOException,
                      org.xml.sax.SAXException

Specified by:
  `parse` in interface `XMLInputParser`
Throws:
  `java.text.ParseException`
  `java.io.IOException`
  `org.xml.sax.SAXException`